Download it now!
Bug 48360 - FILESAVE: Conditional formatting is lost when saving in another format than ODS (export of dxf records into xlsx)
Summary: FILESAVE: Conditional formatting is lost when saving in another format than O...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:3.6.0
Keywords:
Depends on:
Blocks: mab3.6
  Show dependency treegraph
 
Reported: 2012-04-05 18:18 UTC by Cthulhux
Modified: 2013-02-20 01:59 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
My shopping list (28.67 KB, application/vnd.oasis.opendocument.spreadsheet)
2012-04-12 15:48 UTC, Cthulhux
Details
Conditional formatting: File for testing this bug, tested on LO 3.6.5.2 (9.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-02-19 04:54 UTC, stragu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Cthulhux 2012-04-05 18:18:39 UTC
I have an .ods file with a plenty of conditional formats in it. Now when I export that file to .xls or .xlsx, all conditional formatting is gone.

I am pretty sure that this is an exporting problem as I achieve the same results with all tested exporting formats. When I open the exported .xls/.xlsx files in LibreOffice, all conditional formats are gone, which is a showstopper for people who work with different office suites (like WordPerfect Office).
Comment 1 Giuliano 2012-04-12 15:45:57 UTC
please add an example in ods, so we can test it
Comment 2 Cthulhux 2012-04-12 15:48:46 UTC
Created attachment 59879 [details]
My shopping list

Attached is a less sensitive test case, my shopping list, using conditional formatting for shopping priorities. However, please delete it after everything you need is extracted - I don't really want it to be available longer than needed. :)
Comment 3 Not Assigned 2012-04-19 17:40:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f6a940ad1771016021a75c41a0e9be1e86843fb9

export conditional formatting to xlsx, fdo#48360
Comment 4 Markus Mohrhard 2012-04-19 17:50:57 UTC
XLSX export is now more or less implemented in master. Testing with a daily build and/or before 3.6 highly appreciated.

I will check what happens in xls export next.
Comment 5 bfoman (inactive) 2012-08-31 11:40:24 UTC
Checked with:
LO 3.6.1.2
Build ID: e29a214
Windows 7 Professional SP1 64 bit

XLS looks good, xlsx is not.

@Cthulhux
You could save a lot of euros by buying used CDs :).
Comment 6 Cthulhux 2012-08-31 11:53:46 UTC
Yes, I could. But I won't. ;-)

(Could someone remove the sample file now? I'm not sure if I like it to stay online for so long.) :D
Comment 7 Markus Mohrhard 2012-10-06 00:24:32 UTC
Export to xls and xlsx is implemented. 3-6 supports normal conditional formats and 3-7 will also support export of color scales and data bars to xslx.
Comment 8 stragu 2013-02-16 03:20:29 UTC
I am reopening this bug as this is not resolved.
I am using 3.6.4.3 and conditional formatting in an .xls file is lost at saving.
Comment 9 Markus Mohrhard 2013-02-16 03:29:42 UTC
Please stop reopening bugs without additional information!

If in doubt open a new bug report but don't mess around with this one.
Comment 10 stragu 2013-02-17 04:08:45 UTC
Markus, I gave information in my last comment.
This bug is called "Conditional formatting is lost when saving in another format than ODS"
This same problem still exists in 3.6, which is still being updated with bug fixes.
It is a major problem which should be fixed in the usual bugfix updates.
As it is not fixed in the 3.6 branch, I find it should obviously be reopened.

I obviously won't open a new bug as this bug is exactly describing the problem.
Comment 11 stragu 2013-02-19 04:50:44 UTC
As I am not getting any answer from Markus, I am reopening this bug as it is not fixed in the 3.6 branch and deserves to appear in MAB 3.6.

Attached is an example called "conditional formatting", tested with LO 3.6.5.2 on Ubuntu 12.10.
Test-case:
- Open document
- Select all the numbers
- Format > Conditional formatting
- Add > All cells, color scale (2 entries) > OK. Conditionnal formatting appears.
- Save in either xls or xlsx format
- Open the document: the conditional formatting has disappeared.

If this bug is not going to be fixed in the 3.6 branch, someone should (1) clearly explain why and (2) mark the bug as "Won't fix".

Thank you.
Comment 12 stragu 2013-02-19 04:54:45 UTC
Created attachment 75088 [details]
Conditional formatting: File for testing this bug, tested on LO 3.6.5.2
Comment 13 Markus Mohrhard 2013-02-19 09:41:13 UTC
> As I am not getting any answer from Markus, I am reopening this bug as it is
> not fixed in the 3.6 branch and deserves to appear in MAB 3.6.
> 

Stop reopening this bug report. Our policy is to not reopen a bug report that has been closed if there is not a bug in the commit. As I explained open a new bug report that can be used to track your problem. We only track one problem per bug report.

This bug report here has been used to track the export of dxf records into xlsx which is a new feature while your xls bug must be some bug in the already existing xls conditional format export. Using the same bug report to track another problem leads to confusion.

And just for the record XLS does not support Color Scales.
Comment 14 bfoman (inactive) 2013-02-19 13:30:15 UTC
Gents. I will stop this quarrel as this will lead to nowhere. 

@stephane.guillou@gmail.com
Please reopen bugs if you can reproduce original bug report with original attachment ONLY. 
Please be advised that 3.6 branch will be End Of Life soon (last 3.6.6 version will be published in Week 15, Apr 8 - Apr 14, 2013). Therefore please file a new bug report, checking first in the latest stable 4.0 release (or master - even better). Developers or QA staff will decide whether this is a separate issue or duplicate.

@markus.mohrhard@googlemail.com
(In reply to comment #13)
> This bug report here has been used to track the export of dxf records into
> xlsx which is a new feature while your xls bug must be some bug in the
> already existing xls conditional format export. Using the same bug report to
> track another problem leads to confusion.

There is no such info in this bug report. Please be more specific what is fixed when you are closing bugs by updating Summary or adding additional comments. This will help to avoid confusion and status judo.

Changed Summary and Status per comment 13.
Comment 15 Markus Mohrhard 2013-02-19 15:07:32 UTC
> There is no such info in this bug report. Please be more specific what is
> fixed when you are closing bugs by updating Summary or adding additional
> comments. This will help to avoid confusion and status judo.
> 

I'm sorry but I mentioned several times in this bug report that I implemented the XLSX export. See Comment 3 from the git bugzilla script and Comment 4 as quick summary of the commit.

Additionally the point that color scales are not exported to XLS is invalid anyway as XLS as file format can't support color scales.

I think somewhere in the QA pages we already have documented the policy that a bug that has been fixed by a developer should only be reopened if the original bug is reproducible. Otherwise it has to be a new bug report as it has in 99% of the cases a different root cause.
Comment 16 stragu 2013-02-20 01:59:57 UTC
Fine, thanks for the explanation, bfoman.

I opened https://www.libreoffice.org/bugzilla/show_bug.cgi?id=61150 and still added it to 3.6 MAB as this branch is still in development, close end of life or not (some people, in particular businesses will stick with 3.6 for a while as they look for as much stability as possible).

Bfoman, as you asked me to, I tried using the original attachment to test the bug. The conditional formatting of column H is still sort of lost when saving in .xlsx. I tested saving in .xlsx and back in .ods, and there is definitely some information lost (all the column is pink). It might be normal, or another bug, but I recommend you guys have a look.

So if I understand well, colour scales are not "dxf"?